## htrace 3.0.4

=== debian/changelog ===
htrace (3.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #776556)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 29 Jan 2015 08:43:23 +0100
