=== debian/control ===
Source: htrace
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends: cdbs,
               debhelper (>= 9),
               default-jdk,
               libcommons-logging-java,
               libguava-java,
               libjetty-java,
               maven-debian-helper (>= 1.5),
               thrift-compiler
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/htrace.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/htrace.git
Homepage: http://htrace.org

Package: libhtrace-core-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: Tracing framework for distributed systems written in Java
 HTrace is a tracing framework recording spans (basic units of work, like
 a remote procedure call) and traces (set of spans forming a tree-like
 structure) to measure execution times in distributed systems.
