=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME := /usr/lib/jvm/default-java

configure/libhtrace-core-java::
	# Regenerate the Java classes from the Thrift files
	bash bin/gen_thrift.sh

get-orig-source:
	uscan --download-current-version --force-download --no-symlink
