=== debian/watch ===
version=3
https://github.com/cloudera/htrace/releases .*/([\d\.]+).tar.gz
