## htrace 3.1.0

=== debian/changelog ===
htrace (3.1.0-3) unstable; urgency=medium

  * Team upload.
  * More informative Homepage
  * Install NOTICE.txt
  * Fix watch file
  * Add README.Debian informing users that HTrace is retired
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2025 20:31:40 +0100

htrace (3.1.0-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 11:42:14 +0100

htrace (3.1.0-2) unstable; urgency=medium

  * Removed the unused build dependency on libjetty-java
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 3.9.7 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 28 Feb 2016 23:11:39 +0100

htrace (3.1.0-1) unstable; urgency=medium

  * New upstream release
    - Added a dependency on libjackson2-databind-java
    - Ignore the modules htrace-flume and htrace-hbase
    - Unshade the dependencies in htrace-core
  * Updated debian/watch to watch the new incubator repository
  * Removed the generated files from the upstream tarball
  * Added the missing build dependency on junit4

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Aug 2015 16:05:48 +0200
