=== debian/control ===
Source: htrace
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               junit4,
               libcommons-logging-java,
               libguava-java,
               libjackson2-databind-java,
               maven-debian-helper,
               thrift-compiler
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/htrace
Vcs-Git: https://salsa.debian.org/java-team/htrace.git
Homepage: https://incubator.apache.org/projects/htrace.html

Package: libhtrace-core-java
Architecture: all
Depends: ${maven:Depends},
         ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: Tracing framework for distributed systems written in Java
 HTrace is a tracing framework recording spans (basic units of work, like
 a remote procedure call) and traces (set of spans forming a tree-like
 structure) to measure execution times in distributed systems.
