=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=maven

override_dh_auto_configure:
	dh_auto_configure
	# Regenerate the Java classes from the Thrift files
	bash bin/gen_thrift.sh

override_dh_auto_clean:
	dh_auto_clean
	rm -f htrace-zipkin/src/main/java/com/twitter/zipkin/gen/*
