=== debian/watch ===
version=4

https://github.com/apache/incubator-retired-htrace/tags  .*/rel/([\d\.]+).tar.gz
