## htrace 4.2%2Bdfsg

=== debian/changelog ===
htrace (4.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.2+dfsg (Closes: #1094407)
  * Updating d/watch and d/copyright contents to repack
  * Removing uninformative d/README.source file
  * Rewriting d/copyright
  * Updating the list of POM files in d/*.poms
  * Using javahelper to define the classpath and Dependencies
  * Build-depending on the headless JDK only

 -- Pierre Gruet <pgt@debian.org>  Sat, 01 Feb 2025 15:17:50 +0100
