## htrace 4.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: java
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               default-jdk,
+               javahelper,
+               default-jdk-headless,
                junit4,
                libcommons-logging-java,
                libguava-java,
@@ -18,7 +19,7 @@
 
 Package: libhtrace-core-java
 Architecture: all
-Depends: ${maven:Depends},
+Depends: ${java:Depends},
          ${misc:Depends}
 Suggests: ${maven:OptionalDepends}
 Description: Tracing framework for distributed systems written in Java
