=== debian/watch ===
version=4

opts="repack, repacksuffix=+dfsg, compression=xz, dversionmangle=auto, \
 filenamemangle=s%(?:.*?)?v?(\d[\da-z.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/apache/incubator-retired-htrace/tags  .*/rel/([\d\.]+).tar.gz
